/** 
 * Enumerates the names bound in the named context, along with the  objects bound to them. The contents of any subcontexts are not  included. <p> If a binding is added to or removed from this context, its effect on  an enumeration previously returned is undefined.
 * @param name the name of the context to list
 * @return an enumeration of the bindings in this context. Each element of the enumeration is of type Binding.
 * @exception NamingException if a naming exception is encountered
 */
public NamingEnumeration<Binding> listBindings(Name name) throws NamingException {
  if (log.isDebugEnabled()) {
    log.debug(sm.getString("selectorContext.methodUsingName","listBindings",name));
  }
  return getBoundContext().listBindings(parseName(name));
}
