/** 
 * @param p the panel to be added 
 * @param atEnd true = add the panel at the end, false = at the beginning
 */
public void addTab(JPanel p,boolean atEnd){
  final Icon icon;
  final String title;
  if (p instanceof AbstractArgoJPanel) {
    icon=((AbstractArgoJPanel)p).getIcon();
    title=Translator.localize(((AbstractArgoJPanel)p).getTitle());
  }
 else {
    icon=null;
    title=p.getName();
  }
  if (atEnd) {
    topLevelTabbedPane.addTab(title,icon,p);
    tabPanelList.add(p);
  }
 else {
    topLevelTabbedPane.insertTab(title,icon,p,null,0);
    tabPanelList.add(0,p);
  }
}
