/** 
 * This test shows how the combination of tokenization and stopwords creates a light-stemming effect for verbs. In this case, these forms are presented with alternative orthography, using arabic yeh and whitespace. This yeh phenomenon is common for legacy text due to some previous bugs in Microsoft Windows. These verb forms are from http://en.wikipedia.org/wiki/Persian_grammar
 */
public void testBehaviorVerbsDefective() throws Exception {
  Analyzer a=new PersianAnalyzer(TEST_VERSION_CURRENT);
  assertAnalyzesTo(a,"مي خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"مي خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"خواهد خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"دارد مي خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"داشت مي خورد",new String[]{"خورد"});
  assertAnalyzesTo(a,"خورده است",new String[]{"خورده"});
  assertAnalyzesTo(a,"مي خورده است",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده بود",new String[]{"خورده"});
  assertAnalyzesTo(a,"مي خورده بود",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"مي خورده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده بوده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"مي خورده بوده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شود",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شده است",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شده است",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شده بود",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شده بود",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده خواهد شد",new String[]{"خورده"});
  assertAnalyzesTo(a,"دارد خورده مي شود",new String[]{"خورده"});
  assertAnalyzesTo(a,"داشت خورده مي شد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شود",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده شده بوده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"خورده مي شده بوده باشد",new String[]{"خورده"});
  assertAnalyzesTo(a,"بخورد",new String[]{"بخورد"});
}
