@Test public void testImplicitJoin() throws Exception {
  Session session=openSession();
  Transaction t=session.beginTransaction();
  Animal a=new Animal();
  a.setBodyWeight(0.5f);
  a.setBodyWeight(1.5f);
  Animal b=new Animal();
  Animal mother=new Animal();
  mother.setBodyWeight(10.0f);
  mother.addOffspring(a);
  mother.addOffspring(b);
  session.persist(a);
  session.persist(b);
  session.persist(mother);
  List list=session.createQuery("from Animal a where a.mother.bodyWeight < 2.0 or a.mother.bodyWeight > 9.0").list();
  assertEquals(list.size(),2);
  list=session.createQuery("from Animal a where a.mother.bodyWeight > 2.0 and a.mother.bodyWeight > 9.0").list();
  assertEquals(list.size(),2);
  session.delete(b);
  session.delete(a);
  session.delete(mother);
  t.commit();
  session.close();
}
