/** 
 * Executes the task. <p> Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.
 * @throws BuildException if the command fails and failonerr is set to true
 */
public void execute() throws BuildException {
  Commandline commandLine=new Commandline();
  Project aProj=getProject();
  int result=0;
  if (getViewPath() == null) {
    setViewPath(aProj.getBaseDir().getPath());
  }
  commandLine.setExecutable(getClearToolCommand());
  commandLine.createArgument().setValue(COMMAND_CHECKOUT);
  checkOptions(commandLine);
  if (!getNotco() && lsCheckout()) {
    getProject().log("Already checked out in this view: " + getViewPathBasename(),Project.MSG_VERBOSE);
    return;
  }
  if (!getFailOnErr()) {
    getProject().log("Ignoring any errors that occur for: " + getViewPathBasename(),Project.MSG_VERBOSE);
  }
  result=run(commandLine);
  if (Execute.isFailure(result) && getFailOnErr()) {
    String msg="Failed executing: " + commandLine.toString();
    throw new BuildException(msg,getLocation());
  }
}
