/** 
 * Constructor for ScpFromMessage.
 * @param verbose if true log extra information
 * @param session the Scp session to use
 * @param aRemoteFile the remote file name
 * @param aLocalFile  the local file
 * @param recursive   if true use recursion (-r option to scp)
 * @param preserveLastModified whether to preserve filemodification times
 * @since Ant 1.8.0
 */
public ScpFromMessage(boolean verbose,Session session,String aRemoteFile,File aLocalFile,boolean recursive,boolean preserveLastModified){
  super(verbose,session);
  this.remoteFile=aRemoteFile;
  this.localFile=aLocalFile;
  this.isRecursive=recursive;
  this.preserveLastModified=preserveLastModified;
}
