public BulkOperationPacked(int bitsPerValue){
  this.bitsPerValue=bitsPerValue;
  assert bitsPerValue > 0 && bitsPerValue <= 64;
  int blocks=bitsPerValue;
  while ((blocks & 1) == 0) {
    blocks>>>=1;
  }
  this.longBlockCount=blocks;
  this.longValueCount=64 * longBlockCount / bitsPerValue;
  int byteBlockCount=8 * longBlockCount;
  int byteValueCount=longValueCount;
  while ((byteBlockCount & 1) == 0 && (byteValueCount & 1) == 0) {
    byteBlockCount>>>=1;
    byteValueCount>>>=1;
  }
  this.byteBlockCount=byteBlockCount;
  this.byteValueCount=byteValueCount;
  if (bitsPerValue == 64) {
    this.mask=~0L;
  }
 else {
    this.mask=(1L << bitsPerValue) - 1;
  }
  this.intMask=(int)mask;
  assert longValueCount * bitsPerValue == 64 * longBlockCount;
}
