/** 
 * <p>Gets the top object from the stack with the given name. This method does not remove the object from the stack. </p> <p><strong>Note:</strong> a stack is considered empty if no objects have been pushed onto it yet.</p>
 * @param stackName the name of the stack to be peeked
 * @return the top <code>Object</code> on the stack or null if the stack is either empty or has not been created yet
 * @throws EmptyStackException if the named stack is empty 
 * @since 1.6
 */
public Object peek(String stackName){
  Object result=null;
  ArrayStack<Object> namedStack=stacksByName.get(stackName);
  if (namedStack == null) {
    if (log.isDebugEnabled()) {
      log.debug("Stack '" + stackName + "' is empty");
    }
    throw new EmptyStackException();
  }
 else {
    result=namedStack.peek();
  }
  return result;
}
