/** 
 * <p>Pops (gets and removes) the top object from the stack with the given name.</p> <p><strong>Note:</strong> a stack is considered empty if no objects have been pushed onto it yet.</p>
 * @param stackName the name of the stack from which the top value is to be popped
 * @return the top <code>Object</code> on the stack or or null if the stack is either empty or has not been created yet
 * @throws EmptyStackException if the named stack is empty
 * @since 1.6
 */
public Object pop(String stackName){
  Object result=null;
  ArrayStack<Object> namedStack=stacksByName.get(stackName);
  if (namedStack == null) {
    if (log.isDebugEnabled()) {
      log.debug("Stack '" + stackName + "' is empty");
    }
    throw new EmptyStackException();
  }
 else {
    result=namedStack.pop();
  }
  return result;
}
