/** 
 * Deregister the MBean for this <code>User</code> object.
 * @param user The User to be managed
 * @exception Exception if an MBean cannot be deregistered
 */
static void destroyMBean(User user) throws Exception {
  String mname=createManagedName(user);
  ManagedBean managed=registry.findManagedBean(mname);
  if (managed == null) {
    return;
  }
  String domain=managed.getDomain();
  if (domain == null)   domain=mserver.getDefaultDomain();
  ObjectName oname=createObjectName(domain,user);
  if (mserver.isRegistered(oname))   mserver.unregisterMBean(oname);
}
