/** 
 * Deregister the MBean for this <code>Realm</code> object.
 * @param realm The Realm to be managed
 * @exception Exception if an MBean cannot be deregistered
 */
static void destroyMBean(Realm realm) throws Exception {
  String mname=createManagedName(realm);
  ManagedBean managed=registry.findManagedBean(mname);
  if (managed == null) {
    return;
  }
  String domain=managed.getDomain();
  if (domain == null)   domain=mserver.getDefaultDomain();
  ObjectName oname=createObjectName(domain,realm);
  if (mserver.isRegistered(oname))   mserver.unregisterMBean(oname);
}
