/** 
 * Release the Filter instance associated with this FilterConfig, if there is one.
 */
void release(){
  unregisterJMX();
  if (this.filter != null) {
    if (Globals.IS_SECURITY_ENABLED) {
      try {
        SecurityUtil.doAsPrivilege("destroy",filter);
      }
 catch (      java.lang.Exception ex) {
        context.getLogger().error("ApplicationFilterConfig.doAsPrivilege",ex);
      }
      SecurityUtil.remove(filter);
    }
 else {
      filter.destroy();
    }
    if (!context.getIgnoreAnnotations()) {
      try {
        ((StandardContext)context).getInstanceManager().destroyInstance(this.filter);
      }
 catch (      Exception e) {
        context.getLogger().error("ApplicationFilterConfig.preDestroy",e);
      }
    }
  }
  this.filter=null;
}
