/** 
 * Tests sorting on type short with a missing value 
 */
public void testShortMissing() throws IOException {
  Directory dir=newDirectory();
  RandomIndexWriter writer=new RandomIndexWriter(random(),dir);
  Document doc=new Document();
  writer.addDocument(doc);
  doc=new Document();
  doc.add(newStringField("value","-1",Field.Store.YES));
  writer.addDocument(doc);
  doc=new Document();
  doc.add(newStringField("value","4",Field.Store.YES));
  writer.addDocument(doc);
  IndexReader ir=writer.getReader();
  writer.close();
  IndexSearcher searcher=new IndexSearcher(ir);
  Sort sort=new Sort(new SortField("value",SortField.Type.SHORT));
  TopDocs td=searcher.search(new MatchAllDocsQuery(),10,sort);
  assertEquals(3,td.totalHits);
  assertEquals("-1",searcher.doc(td.scoreDocs[0].doc).get("value"));
  assertNull(searcher.doc(td.scoreDocs[1].doc).get("value"));
  assertEquals("4",searcher.doc(td.scoreDocs[2].doc).get("value"));
  ir.close();
  dir.close();
}
