/** 
 * Tests sorting on type int 
 */
public void testInt() throws IOException {
  Directory dir=newDirectory();
  RandomIndexWriter writer=new RandomIndexWriter(random(),dir);
  Document doc=new Document();
  doc.add(new NumericDocValuesField("value",300000));
  doc.add(newStringField("value","300000",Field.Store.YES));
  writer.addDocument(doc);
  doc=new Document();
  doc.add(new NumericDocValuesField("value",-1));
  doc.add(newStringField("value","-1",Field.Store.YES));
  writer.addDocument(doc);
  doc=new Document();
  doc.add(new NumericDocValuesField("value",4));
  doc.add(newStringField("value","4",Field.Store.YES));
  writer.addDocument(doc);
  IndexReader ir=writer.getReader();
  writer.close();
  IndexSearcher searcher=new IndexSearcher(ir);
  Sort sort=new Sort(new SortField("value",SortField.Type.INT));
  TopDocs td=searcher.search(new MatchAllDocsQuery(),10,sort);
  assertEquals(3,td.totalHits);
  assertEquals("-1",searcher.doc(td.scoreDocs[0].doc).get("value"));
  assertEquals("4",searcher.doc(td.scoreDocs[1].doc).get("value"));
  assertEquals("300000",searcher.doc(td.scoreDocs[2].doc).get("value"));
  assertNoFieldCaches();
  ir.close();
  dir.close();
}
