/** 
 * Tests sorting on type string 
 */
public void testString() throws IOException {
  Directory dir=newDirectory();
  RandomIndexWriter writer=new RandomIndexWriter(random(),dir);
  Document doc=new Document();
  doc.add(new SortedDocValuesField("value",new BytesRef("foo")));
  doc.add(newStringField("value","foo",Field.Store.YES));
  writer.addDocument(doc);
  doc=new Document();
  doc.add(new SortedDocValuesField("value",new BytesRef("bar")));
  doc.add(newStringField("value","bar",Field.Store.YES));
  writer.addDocument(doc);
  IndexReader ir=writer.getReader();
  writer.close();
  IndexSearcher searcher=new IndexSearcher(ir);
  Sort sort=new Sort(new SortField("value",SortField.Type.STRING));
  TopDocs td=searcher.search(new MatchAllDocsQuery(),10,sort);
  assertEquals(2,td.totalHits);
  assertEquals("bar",searcher.doc(td.scoreDocs[0].doc).get("value"));
  assertEquals("foo",searcher.doc(td.scoreDocs[1].doc).get("value"));
  assertNoFieldCaches();
  ir.close();
  dir.close();
}
