/** 
 * Get the value of the <code>name</code> property as an <code>int</code>. If no such property exists, or if the specified value is not a valid <code>int</code>, then <code>defaultValue</code> is returned.
 * @param name property name.
 * @param defaultValue default value.
 * @return property value as an <code>int</code>, or <code>defaultValue</code>. 
 */
public int getInt(String name,int defaultValue){
  String valueString=get(name);
  if (valueString == null)   return defaultValue;
  try {
    String hexString=getHexDigits(valueString);
    if (hexString != null) {
      return Integer.parseInt(hexString,16);
    }
    return Integer.parseInt(valueString);
  }
 catch (  NumberFormatException e) {
    return defaultValue;
  }
}
