/** 
 * Create the compound stream in the specified file. The file name is the entire name (no extensions are added).
 * @throws NullPointerException if <code>dir</code> or <code>name</code> is null
 */
CompoundFileWriter(Directory dir,String name){
  if (dir == null)   throw new NullPointerException("directory cannot be null");
  if (name == null)   throw new NullPointerException("name cannot be null");
  directory=dir;
  entryTableName=IndexFileNames.segmentFileName(IndexFileNames.stripExtension(name),"",IndexFileNames.COMPOUND_FILE_ENTRIES_EXTENSION);
  dataFileName=name;
}
