/** 
 * See if two array slices are the same.
 * @param left        The left array to compare
 * @param offsetLeft  The offset into the array.  Must be positive
 * @param right       The right array to compare
 * @param offsetRight the offset into the right array.  Must be positive
 * @param length      The length of the section of the array to compare
 * @return true if the two arrays, starting at their respective offsets, are equal
 * @see java.util.Arrays#equals(char[],char[])
 */
public static boolean equals(int[] left,int offsetLeft,int[] right,int offsetRight,int length){
  if ((offsetLeft + length <= left.length) && (offsetRight + length <= right.length)) {
    for (int i=0; i < length; i++) {
      if (left[offsetLeft + i] != right[offsetRight + i]) {
        return false;
      }
    }
    return true;
  }
  return false;
}
