@Override public boolean incrementToken() throws IOException {
  while (true) {
    while (inputSkipCount != 0) {
      final PendingInput input=futureInputs[nextRead];
      final PendingOutputs outputs=futureOutputs[nextRead];
      if (!input.consumed && (input.keepOrig || !input.matched)) {
        if (input.state != null) {
          restoreState(input.state);
        }
 else {
          assert inputSkipCount == 1 : "inputSkipCount=" + inputSkipCount + " nextRead="+ nextRead;
        }
        input.reset();
        if (outputs.count > 0) {
          outputs.posIncr=0;
        }
 else {
          nextRead=rollIncr(nextRead);
          inputSkipCount--;
        }
        return true;
      }
 else       if (outputs.upto < outputs.count) {
        input.reset();
        final int posIncr=outputs.posIncr;
        final CharsRef output=outputs.pullNext();
        clearAttributes();
        termAtt.copyBuffer(output.chars,output.offset,output.length);
        typeAtt.setType(TYPE_SYNONYM);
        int endOffset=outputs.getLastEndOffset();
        if (endOffset == -1) {
          endOffset=input.endOffset;
        }
        offsetAtt.setOffset(input.startOffset,endOffset);
        posIncrAtt.setPositionIncrement(posIncr);
        posLenAtt.setPositionLength(outputs.getLastPosLength());
        if (outputs.count == 0) {
          nextRead=rollIncr(nextRead);
          inputSkipCount--;
        }
        return true;
      }
 else {
        input.reset();
        nextRead=rollIncr(nextRead);
        inputSkipCount--;
      }
    }
    if (finished && nextRead == nextWrite) {
      final PendingOutputs outputs=futureOutputs[nextRead];
      if (outputs.upto < outputs.count) {
        final int posIncr=outputs.posIncr;
        final CharsRef output=outputs.pullNext();
        futureInputs[nextRead].reset();
        if (outputs.count == 0) {
          nextWrite=nextRead=rollIncr(nextRead);
        }
        clearAttributes();
        offsetAtt.setOffset(lastStartOffset,lastEndOffset);
        termAtt.copyBuffer(output.chars,output.offset,output.length);
        typeAtt.setType(TYPE_SYNONYM);
        posIncrAtt.setPositionIncrement(posIncr);
        return true;
      }
 else {
        return false;
      }
    }
    parse();
  }
}
