/** 
 * Get the index of a given CONSTANT_FIELDREF entry in the constant pool.
 * @param fieldClassName the name of the class which contains the fieldbeing referenced.
 * @param fieldName the name of the field being referenced.
 * @param fieldType the type descriptor of the field being referenced.
 * @return the index at which the given field ref entry occurs in theconstant pool or -1 if the value does not occur.
 */
public int getFieldRefEntry(String fieldClassName,String fieldName,String fieldType){
  int index=-1;
  for (int i=0; i < entries.size() && index == -1; ++i) {
    Object element=entries.elementAt(i);
    if (element instanceof FieldRefCPInfo) {
      FieldRefCPInfo fieldRefEntry=(FieldRefCPInfo)element;
      if (fieldRefEntry.getFieldClassName().equals(fieldClassName) && fieldRefEntry.getFieldName().equals(fieldName) && fieldRefEntry.getFieldType().equals(fieldType)) {
        index=i;
      }
    }
  }
  return index;
}
