/** 
 * Transforms the figure.
 * @param tx the transformation.
 */
@Override public void transform(AffineTransform tx){
  if (get(TRANSFORM) != null || (tx.getType() & (AffineTransform.TYPE_TRANSLATION)) != tx.getType()) {
    if (get(TRANSFORM) == null) {
      set(TRANSFORM,(AffineTransform)tx.clone());
    }
 else {
      AffineTransform t=TRANSFORM.getClone(this);
      t.preConcatenate(tx);
      set(TRANSFORM,t);
    }
  }
 else {
    Point2D.Double anchor=getStartPoint();
    Point2D.Double lead=getEndPoint();
    setBounds((Point2D.Double)tx.transform(anchor,anchor),(Point2D.Double)tx.transform(lead,lead));
    if (get(FILL_GRADIENT) != null && !get(FILL_GRADIENT).isRelativeToFigureBounds()) {
      Gradient g=FILL_GRADIENT.getClone(this);
      g.transform(tx);
      set(FILL_GRADIENT,g);
    }
    if (get(STROKE_GRADIENT) != null && !get(STROKE_GRADIENT).isRelativeToFigureBounds()) {
      Gradient g=STROKE_GRADIENT.getClone(this);
      g.transform(tx);
      set(STROKE_GRADIENT,g);
    }
  }
  invalidate();
}
