public BlockTermsWriter(TermsIndexWriterBase termsIndexWriter,SegmentWriteState state,PostingsWriterBase postingsWriter) throws IOException {
  final String termsFileName=IndexFileNames.segmentFileName(state.segmentInfo.name,state.segmentSuffix,TERMS_EXTENSION);
  this.termsIndexWriter=termsIndexWriter;
  out=state.directory.createOutput(termsFileName,state.context);
  boolean success=false;
  try {
    fieldInfos=state.fieldInfos;
    writeHeader(out);
    currentField=null;
    this.postingsWriter=postingsWriter;
    postingsWriter.start(out);
    success=true;
  }
  finally {
    if (!success) {
      IOUtils.closeWhileHandlingException(out);
    }
  }
}
