/** 
 * Returns true (the file is selected) only if all other selectors agree that the file should not be selected.
 * @param basedir the base directory the scan is being done from
 * @param filename is the name of the file to check
 * @param file is a java.io.File object for the filename that the selectorcan use
 * @return whether the file should be selected or not
 */
public boolean isSelected(File basedir,String filename,File file){
  validate();
  Enumeration e=selectorElements();
  boolean result;
  while (e.hasMoreElements()) {
    result=((FileSelector)e.nextElement()).isSelected(basedir,filename,file);
    if (result) {
      return false;
    }
  }
  return true;
}
