protected void openView(final View view,final URI uri){
  final Application app=getApplication();
  app.setEnabled(true);
  int multipleOpenId=1;
  for (  View aView : app.views()) {
    if (aView != view && aView.getURI() != null && aView.getURI().equals(uri)) {
      multipleOpenId=Math.max(multipleOpenId,aView.getMultipleOpenId() + 1);
    }
  }
  view.setMultipleOpenId(multipleOpenId);
  view.setEnabled(false);
  view.execute(new Worker(){
    @Override protected Object construct() throws IOException {
      boolean exists=true;
      try {
        File f=new File(uri);
        exists=f.exists();
      }
 catch (      IllegalArgumentException e) {
      }
      if (exists) {
        view.read(uri,null);
        return null;
      }
 else {
        ResourceBundleUtil labels=ResourceBundleUtil.getBundle("org.jhotdraw.app.Labels");
        throw new IOException(labels.getFormatted("file.open.fileDoesNotExist.message",URIUtil.getName(uri)));
      }
    }
    @Override protected void done(    Object value){
      view.setURI(uri);
      Frame w=(Frame)SwingUtilities.getWindowAncestor(view.getComponent());
      if (w != null) {
        w.setExtendedState(w.getExtendedState() & ~Frame.ICONIFIED);
        w.toFront();
      }
      view.setEnabled(true);
      view.getComponent().requestFocus();
    }
    @Override protected void failed(    Throwable value){
      value.printStackTrace();
      String message=null;
      if (value instanceof Throwable) {
        ((Throwable)value).printStackTrace();
        message=((Throwable)value).getMessage();
        if (message == null) {
          message=value.toString();
        }
      }
      ResourceBundleUtil labels=ResourceBundleUtil.getBundle("org.jhotdraw.app.Labels");
      JSheet.showMessageSheet(view.getComponent(),"<html>" + UIManager.getString("OptionPane.css") + "<b>"+ labels.getFormatted("file.open.couldntOpen.message",URIUtil.getName(uri))+ "</b><p>"+ (message == null ? "" : message),JOptionPane.ERROR_MESSAGE,new SheetListener(){
        @Override public void optionSelected(        SheetEvent evt){
          view.setEnabled(true);
        }
      }
);
    }
  }
);
}
