/** 
 * Sole constructor. 
 */
public Lucene40TermVectorsWriter(Directory directory,String segment,IOContext context) throws IOException {
  this.directory=directory;
  this.segment=segment;
  boolean success=false;
  try {
    tvx=directory.createOutput(IndexFileNames.segmentFileName(segment,"",Lucene40TermVectorsReader.VECTORS_INDEX_EXTENSION),context);
    CodecUtil.writeHeader(tvx,CODEC_NAME_INDEX,VERSION_CURRENT);
    tvd=directory.createOutput(IndexFileNames.segmentFileName(segment,"",Lucene40TermVectorsReader.VECTORS_DOCUMENTS_EXTENSION),context);
    CodecUtil.writeHeader(tvd,CODEC_NAME_DOCS,VERSION_CURRENT);
    tvf=directory.createOutput(IndexFileNames.segmentFileName(segment,"",Lucene40TermVectorsReader.VECTORS_FIELDS_EXTENSION),context);
    CodecUtil.writeHeader(tvf,CODEC_NAME_FIELDS,VERSION_CURRENT);
    assert HEADER_LENGTH_INDEX == tvx.getFilePointer();
    assert HEADER_LENGTH_DOCS == tvd.getFilePointer();
    assert HEADER_LENGTH_FIELDS == tvf.getFilePointer();
    success=true;
  }
  finally {
    if (!success) {
      abort();
    }
  }
}
