/** 
 * This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.   Icon images will typically be GIFs, but may in future include other formats. <p> Beans aren't required to provide icons and may return null from this method. <p> There are four possible flavors of icons (16x16 color, 32x32 color, 16x16 mono, 32x32 mono).  If a bean choses to only support a single icon we recommend supporting 16x16 color. <p> We recommend that icons have a "transparent" background so they can be rendered onto an existing background.
 * @param iconKind  The kind of icon requested.  This should beone of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.
 * @return  An image object representing the requested icon.  Mayreturn null if no suitable icon is available.
 */
@Override public java.awt.Image getIcon(int iconKind){
switch (iconKind) {
case ICON_COLOR_16x16:
    if (iconNameC16 == null) {
      return null;
    }
 else {
      if (iconColor16 == null) {
        iconColor16=loadImage(iconNameC16);
      }
      return iconColor16;
    }
case ICON_COLOR_32x32:
  if (iconNameC32 == null) {
    return null;
  }
 else {
    if (iconColor32 == null) {
      iconColor32=loadImage(iconNameC32);
    }
    return iconColor32;
  }
case ICON_MONO_16x16:
if (iconNameM16 == null) {
  return null;
}
 else {
  if (iconMono16 == null) {
    iconMono16=loadImage(iconNameM16);
  }
  return iconMono16;
}
case ICON_MONO_32x32:
if (iconNameM32 == null) {
return null;
}
 else {
if (iconMono32 == null) {
  iconMono32=loadImage(iconNameM32);
}
return iconMono32;
}
default :
return null;
}
}
