@BeforeClass public static void beforeClass() throws Exception {
  noDocs=atLeast(4096);
  distance=(1 << 30) / noDocs;
  directory=newDirectory();
  RandomIndexWriter writer=new RandomIndexWriter(random(),directory,newIndexWriterConfig(TEST_VERSION_CURRENT,new MockAnalyzer(random())).setMaxBufferedDocs(_TestUtil.nextInt(random(),100,1000)).setMergePolicy(newLogMergePolicy()));
  final FieldType storedInt=new FieldType(IntField.TYPE_NOT_STORED);
  storedInt.setStored(true);
  storedInt.freeze();
  final FieldType storedInt8=new FieldType(storedInt);
  storedInt8.setNumericPrecisionStep(8);
  final FieldType storedInt4=new FieldType(storedInt);
  storedInt4.setNumericPrecisionStep(4);
  final FieldType storedInt2=new FieldType(storedInt);
  storedInt2.setNumericPrecisionStep(2);
  final FieldType storedIntNone=new FieldType(storedInt);
  storedIntNone.setNumericPrecisionStep(Integer.MAX_VALUE);
  final FieldType unstoredInt=IntField.TYPE_NOT_STORED;
  final FieldType unstoredInt8=new FieldType(unstoredInt);
  unstoredInt8.setNumericPrecisionStep(8);
  final FieldType unstoredInt4=new FieldType(unstoredInt);
  unstoredInt4.setNumericPrecisionStep(4);
  final FieldType unstoredInt2=new FieldType(unstoredInt);
  unstoredInt2.setNumericPrecisionStep(2);
  IntField field8=new IntField("field8",0,storedInt8), field4=new IntField("field4",0,storedInt4), field2=new IntField("field2",0,storedInt2), fieldNoTrie=new IntField("field" + Integer.MAX_VALUE,0,storedIntNone), ascfield8=new IntField("ascfield8",0,unstoredInt8), ascfield4=new IntField("ascfield4",0,unstoredInt4), ascfield2=new IntField("ascfield2",0,unstoredInt2);
  Document doc=new Document();
  doc.add(field8);
  doc.add(field4);
  doc.add(field2);
  doc.add(fieldNoTrie);
  doc.add(ascfield8);
  doc.add(ascfield4);
  doc.add(ascfield2);
  for (int l=0; l < noDocs; l++) {
    int val=distance * l + startOffset;
    field8.setIntValue(val);
    field4.setIntValue(val);
    field2.setIntValue(val);
    fieldNoTrie.setIntValue(val);
    val=l - (noDocs / 2);
    ascfield8.setIntValue(val);
    ascfield4.setIntValue(val);
    ascfield2.setIntValue(val);
    writer.addDocument(doc);
  }
  reader=writer.getReader();
  searcher=newSearcher(reader);
  writer.close();
}
