public void testNonExactFirst() throws Exception {
  Analyzer a=getUnusualAnalyzer();
  FuzzySuggester suggester=new FuzzySuggester(a,a,AnalyzingSuggester.PRESERVE_SEP,256,-1,1,true,1,3);
  suggester.build(new TermFreqArrayIterator(new TermFreq[]{new TermFreq("x y",1),new TermFreq("x y z",3),new TermFreq("x",2),new TermFreq("z z z",20)}));
  for (int topN=1; topN < 6; topN++) {
    List<LookupResult> results=suggester.lookup("p",false,topN);
    assertEquals(Math.min(topN,4),results.size());
    assertEquals("z z z",results.get(0).key);
    assertEquals(20,results.get(0).value);
    if (topN > 1) {
      assertEquals("x y z",results.get(1).key);
      assertEquals(3,results.get(1).value);
      if (topN > 2) {
        assertEquals("x",results.get(2).key);
        assertEquals(2,results.get(2).value);
        if (topN > 3) {
          assertEquals("x y",results.get(3).key);
          assertEquals(1,results.get(3).value);
        }
      }
    }
  }
}
