public LockingStrategy getLockingStrategy(Lockable lockable,LockMode lockMode){
  if (lockMode == LockMode.PESSIMISTIC_FORCE_INCREMENT) {
    return new PessimisticForceIncrementLockingStrategy(lockable,lockMode);
  }
 else   if (lockMode == LockMode.PESSIMISTIC_WRITE) {
    return new PessimisticWriteUpdateLockingStrategy(lockable,lockMode);
  }
 else   if (lockMode == LockMode.PESSIMISTIC_READ) {
    return new PessimisticReadUpdateLockingStrategy(lockable,lockMode);
  }
 else   if (lockMode == LockMode.OPTIMISTIC) {
    return new OptimisticLockingStrategy(lockable,lockMode);
  }
 else   if (lockMode == LockMode.OPTIMISTIC_FORCE_INCREMENT) {
    return new OptimisticForceIncrementLockingStrategy(lockable,lockMode);
  }
 else   if (lockMode.greaterThan(LockMode.READ)) {
    return new UpdateLockingStrategy(lockable,lockMode);
  }
 else {
    return new SelectLockingStrategy(lockable,lockMode);
  }
}
