/** 
 * start cluster receiver
 * @throws IOException
 * @see org.apache.catalina.tribes.ChannelReceiver#start()
 */
@Override public void start() throws IOException {
  super.start();
  try {
    setPool(new RxTaskPool(getMaxThreads(),getMinThreads(),this));
  }
 catch (  Exception x) {
    log.fatal("ThreadPool can initilzed. Listener not started",x);
    if (x instanceof IOException)     throw (IOException)x;
 else     throw new IOException(x.getMessage());
  }
  try {
    getBind();
    bind();
    Thread t=new Thread(this,"NioReceiver");
    t.setDaemon(true);
    t.start();
  }
 catch (  Exception x) {
    log.fatal("Unable to start cluster receiver",x);
    if (x instanceof IOException)     throw (IOException)x;
 else     throw new IOException(x.getMessage());
  }
}
