@Test public void testEquals(){
  IntToDoubleMap map1=new IntToDoubleMap(100);
  IntToDoubleMap map2=new IntToDoubleMap(100);
  assertEquals("Empty maps should be equal",map1,map2);
  assertEquals("hashCode() for empty maps should be equal",map1.hashCode(),map2.hashCode());
  for (int i=0; i < 100; ++i) {
    map1.put(i,Float.valueOf(1f / i));
    map2.put(i,Float.valueOf(1f / i));
  }
  assertEquals("Identical maps should be equal",map1,map2);
  assertEquals("hashCode() for identical maps should be equal",map1.hashCode(),map2.hashCode());
  for (int i=10; i < 20; i++) {
    map1.remove(i);
  }
  assertFalse("Different maps should not be equal",map1.equals(map2));
  for (int i=19; i >= 10; --i) {
    map2.remove(i);
  }
  assertEquals("Identical maps should be equal",map1,map2);
  assertEquals("hashCode() for identical maps should be equal",map1.hashCode(),map2.hashCode());
  map1.put(-1,-1f);
  map2.put(-1,-1.1f);
  assertFalse("Different maps should not be equal",map1.equals(map2));
  map2.put(-1,-1f);
  assertEquals("Identical maps should be equal",map1,map2);
  assertEquals("hashCode() for identical maps should be equal",map1.hashCode(),map2.hashCode());
}
