public static void bindDefaults(Mappings mappings){
  Map defaults=mappings.getReflectionManager().getDefaults();
{
    List<SequenceGenerator> anns=(List<SequenceGenerator>)defaults.get(SequenceGenerator.class);
    if (anns != null) {
      for (      SequenceGenerator ann : anns) {
        IdGenerator idGen=buildIdGenerator(ann,mappings);
        if (idGen != null) {
          mappings.addDefaultGenerator(idGen);
        }
      }
    }
  }
{
    List<TableGenerator> anns=(List<TableGenerator>)defaults.get(TableGenerator.class);
    if (anns != null) {
      for (      TableGenerator ann : anns) {
        IdGenerator idGen=buildIdGenerator(ann,mappings);
        if (idGen != null) {
          mappings.addDefaultGenerator(idGen);
        }
      }
    }
  }
{
    List<NamedQuery> anns=(List<NamedQuery>)defaults.get(NamedQuery.class);
    if (anns != null) {
      for (      NamedQuery ann : anns) {
        QueryBinder.bindQuery(ann,mappings,true);
      }
    }
  }
{
    List<NamedNativeQuery> anns=(List<NamedNativeQuery>)defaults.get(NamedNativeQuery.class);
    if (anns != null) {
      for (      NamedNativeQuery ann : anns) {
        QueryBinder.bindNativeQuery(ann,mappings,true);
      }
    }
  }
{
    List<SqlResultSetMapping> anns=(List<SqlResultSetMapping>)defaults.get(SqlResultSetMapping.class);
    if (anns != null) {
      for (      SqlResultSetMapping ann : anns) {
        QueryBinder.bindSqlResultsetMapping(ann,mappings,true);
      }
    }
  }
}
