@Override public void init() throws Exception {
  if (initialized)   return;
  if (acceptorThreadCount == 0) {
    acceptorThreadCount=1;
  }
  if (serverSocketFactory == null) {
    serverSocketFactory=ServerSocketFactory.getDefault();
  }
  if (isSSLEnabled()) {
    serverSocketFactory.setAttribute(SSL_ATTR_ALGORITHM,getAlgorithm());
    serverSocketFactory.setAttribute(SSL_ATTR_CLIENT_AUTH,getClientAuth());
    serverSocketFactory.setAttribute(SSL_ATTR_KEYSTORE_FILE,getKeystoreFile());
    serverSocketFactory.setAttribute(SSL_ATTR_KEYSTORE_PASS,getKeystorePass());
    serverSocketFactory.setAttribute(SSL_ATTR_KEYSTORE_TYPE,getKeystoreType());
    serverSocketFactory.setAttribute(SSL_ATTR_KEYSTORE_PROVIDER,getKeystoreProvider());
    serverSocketFactory.setAttribute(SSL_ATTR_SSL_PROTOCOL,getSslProtocol());
    serverSocketFactory.setAttribute(SSL_ATTR_CIPHERS,getCiphers());
    serverSocketFactory.setAttribute(SSL_ATTR_KEY_ALIAS,getKeyAlias());
    serverSocketFactory.setAttribute(SSL_ATTR_KEY_PASS,getKeyPass());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUSTSTORE_FILE,getTruststoreFile());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUSTSTORE_PASS,getTruststorePass());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUSTSTORE_TYPE,getTruststoreType());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUSTSTORE_PROVIDER,getTruststoreProvider());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUSTSTORE_ALGORITHM,getTruststoreAlgorithm());
    serverSocketFactory.setAttribute(SSL_ATTR_CRL_FILE,getCrlFile());
    serverSocketFactory.setAttribute(SSL_ATTR_TRUST_MAX_CERT_LENGTH,getTrustMaxCertLength());
    serverSocketFactory.setAttribute(SSL_ATTR_SESSION_CACHE_SIZE,getSessionCacheSize());
    serverSocketFactory.setAttribute(SSL_ATTR_SESSION_TIMEOUT,getSessionTimeout());
    serverSocketFactory.setAttribute(SSL_ATTR_ALLOW_UNSAFE_RENEG,getAllowUnsafeLegacyRenegotiation());
  }
  if (serverSocket == null) {
    try {
      if (getAddress() == null) {
        serverSocket=serverSocketFactory.createSocket(getPort(),getBacklog());
      }
 else {
        serverSocket=serverSocketFactory.createSocket(getPort(),getBacklog(),getAddress());
      }
    }
 catch (    BindException orig) {
      String msg;
      if (getAddress() == null)       msg=orig.getMessage() + " <null>:" + getPort();
 else       msg=orig.getMessage() + " " + getAddress().toString()+ ":"+ getPort();
      BindException be=new BindException(msg);
      be.initCause(orig);
      throw be;
    }
  }
  initialized=true;
}
