/** 
 * Refills the input buffer.
 * @return      <code>false</code>, iff there was new input.
 * @exception java.io.IOException  if any I/O-Error occurs
 */
private boolean zzRefill() throws java.io.IOException {
  if (zzStartRead > 0) {
    System.arraycopy(zzBuffer,zzStartRead,zzBuffer,0,zzEndRead - zzStartRead);
    zzEndRead-=zzStartRead;
    zzCurrentPos-=zzStartRead;
    zzMarkedPos-=zzStartRead;
    zzStartRead=0;
  }
  if (zzCurrentPos >= zzBuffer.length) {
    char newBuffer[]=new char[zzCurrentPos * 2];
    System.arraycopy(zzBuffer,0,newBuffer,0,zzBuffer.length);
    zzBuffer=newBuffer;
  }
  int numRead=zzReader.read(zzBuffer,zzEndRead,zzBuffer.length - zzEndRead);
  if (numRead > 0) {
    zzEndRead+=numRead;
    return false;
  }
  if (numRead == 0) {
    int c=zzReader.read();
    if (c == -1) {
      return true;
    }
 else {
      zzBuffer[zzEndRead++]=(char)c;
      return false;
    }
  }
  return true;
}
