/** 
 * Returns <code>true</code> if no changes have occured since this searcher ie. reader was opened, otherwise <code>false</code>.
 * @see DirectoryReader#isCurrent() 
 */
public boolean isSearcherCurrent() throws IOException {
  final IndexSearcher searcher=acquire();
  try {
    final IndexReader r=searcher.getIndexReader();
    assert r instanceof DirectoryReader : "searcher's IndexReader should be a DirectoryReader, but got " + r;
    return ((DirectoryReader)r).isCurrent();
  }
  finally {
    release(searcher);
  }
}
