public void testNumericFields() throws Exception {
  for (  String name : oldNames) {
    Directory dir=oldIndexDirs.get(name);
    IndexReader reader=DirectoryReader.open(dir);
    IndexSearcher searcher=new IndexSearcher(reader);
    for (int id=10; id < 15; id++) {
      ScoreDoc[] hits=searcher.search(NumericRangeQuery.newIntRange("trieInt",4,Integer.valueOf(id),Integer.valueOf(id),true,true),100).scoreDocs;
      assertEquals("wrong number of hits",1,hits.length);
      Document d=searcher.doc(hits[0].doc);
      assertEquals(String.valueOf(id),d.get("id"));
      hits=searcher.search(NumericRangeQuery.newLongRange("trieLong",4,Long.valueOf(id),Long.valueOf(id),true,true),100).scoreDocs;
      assertEquals("wrong number of hits",1,hits.length);
      d=searcher.doc(hits[0].doc);
      assertEquals(String.valueOf(id),d.get("id"));
    }
    ScoreDoc[] hits=searcher.search(NumericRangeQuery.newIntRange("trieInt",4,Integer.MIN_VALUE,Integer.MAX_VALUE,false,false),100).scoreDocs;
    assertEquals("wrong number of hits",34,hits.length);
    hits=searcher.search(NumericRangeQuery.newLongRange("trieLong",4,Long.MIN_VALUE,Long.MAX_VALUE,false,false),100).scoreDocs;
    assertEquals("wrong number of hits",34,hits.length);
    FieldCache.Ints fci=FieldCache.DEFAULT.getInts(SlowCompositeReaderWrapper.wrap(searcher.getIndexReader()),"trieInt",false);
    int maxDoc=searcher.getIndexReader().maxDoc();
    for (int doc=0; doc < maxDoc; doc++) {
      int val=fci.get(doc);
      assertTrue("value in id bounds",val >= 0 && val < 35);
    }
    FieldCache.Longs fcl=FieldCache.DEFAULT.getLongs(SlowCompositeReaderWrapper.wrap(searcher.getIndexReader()),"trieLong",false);
    for (int doc=0; doc < maxDoc; doc++) {
      long val=fcl.get(doc);
      assertTrue("value in id bounds",val >= 0L && val < 35L);
    }
    reader.close();
  }
}
