public Lucene3xFields(Directory dir,FieldInfos fieldInfos,SegmentInfo info,IOContext context,int indexDivisor) throws IOException {
  si=info;
  if (indexDivisor < 0) {
    indexDivisor=-indexDivisor;
  }
  boolean success=false;
  try {
    TermInfosReader r=new TermInfosReader(dir,info.name,fieldInfos,context,indexDivisor);
    if (indexDivisor == -1) {
      tisNoIndex=r;
    }
 else {
      tisNoIndex=null;
      tis=r;
    }
    this.context=context;
    this.fieldInfos=fieldInfos;
    freqStream=dir.openInput(IndexFileNames.segmentFileName(info.name,"",Lucene3xPostingsFormat.FREQ_EXTENSION),context);
    boolean anyProx=false;
    for (    FieldInfo fi : fieldInfos) {
      if (fi.isIndexed()) {
        fields.put(fi.name,fi);
        preTerms.put(fi.name,new PreTerms(fi));
        if (fi.getIndexOptions() == IndexOptions.DOCS_AND_FREQS_AND_POSITIONS) {
          anyProx=true;
        }
      }
    }
    if (anyProx) {
      proxStream=dir.openInput(IndexFileNames.segmentFileName(info.name,"",Lucene3xPostingsFormat.PROX_EXTENSION),context);
    }
 else {
      proxStream=null;
    }
    success=true;
  }
  finally {
    if (!success) {
      close();
    }
  }
  this.dir=dir;
}
