/** 
 * Constructs a map with given capacity. Capacity is adjusted to a native power of 2, with minimum of 16.
 * @param capacity minimum capacity for the map.
 */
public ObjectToIntMap(int capacity){
  this.capacity=16;
  while (this.capacity < capacity) {
    this.capacity<<=1;
  }
  int arrayLength=this.capacity + 1;
  this.values=new int[arrayLength];
  this.keys=new Object[arrayLength];
  this.next=new int[arrayLength];
  int baseHashSize=this.capacity << 1;
  this.baseHash=new int[baseHashSize];
  this.hashFactor=baseHashSize - 1;
  this.size=0;
  clear();
}
