/** 
 * Construct a native-sql return representing a collection initializer
 * @param alias The result alias
 * @param ownerEntityName The entity-name of the entity owning the collectionto be initialized.
 * @param ownerProperty The property name (on the owner) which representsthe collection to be initialized.
 * @param propertyResults Any user-supplied column->property mappings
 * @param lockMode The lock mode to apply to the collection.
 */
public NativeSQLQueryCollectionReturn(String alias,String ownerEntityName,String ownerProperty,Map propertyResults,LockMode lockMode){
  super(alias,propertyResults,lockMode);
  this.ownerEntityName=ownerEntityName;
  this.ownerProperty=ownerProperty;
  this.hashCode=determineHashCode();
}
