/** 
 * If there are instances that have no classifiers they belong to the returned ListSet is not null. Then in the ListSet are the UMLDeploymentDiagram and all FigObjects, FigComponentInstances and FigMNodeInstances with no classifier.
 * @param dd the diagram to check
 * @return the set of offenders
 */
public ListSet computeOffenders(UMLDeploymentDiagram dd){
  Collection figs=dd.getLayer().getContents();
  ListSet offs=null;
  Iterator figIter=figs.iterator();
  while (figIter.hasNext()) {
    Object obj=figIter.next();
    if (!(obj instanceof FigNodeModelElement)) {
      continue;
    }
    FigNodeModelElement figNodeModelElement=(FigNodeModelElement)obj;
    if (figNodeModelElement != null && (Model.getFacade().isAInstance(figNodeModelElement.getOwner()))) {
      Object instance=figNodeModelElement.getOwner();
      if (instance != null) {
        Collection col=Model.getFacade().getClassifiers(instance);
        if (col.size() > 0) {
          continue;
        }
      }
      if (offs == null) {
        offs=new ListSet();
        offs.add(dd);
      }
      offs.add(figNodeModelElement);
    }
  }
  return offs;
}
