/** 
 * If there are instances that have no classifiers they belong to the returned vector-set is not null. Then in the vector-set are the UMLSequenceDiagram and all FigObjects, FigComponentInstances and FigMNodeInstances with no classifier.
 * @param sd the diagram to check
 * @return the set of offenders
 */
public ListSet computeOffenders(ArgoDiagram sd){
  Collection figs=sd.getLayer().getContents();
  ListSet offs=null;
  for (  Object obj : figs) {
    if (!(obj instanceof FigNodeModelElement)) {
      continue;
    }
    FigNodeModelElement fn=(FigNodeModelElement)obj;
    if (fn != null && (Model.getFacade().isAInstance(fn.getOwner()))) {
      Object minst=fn.getOwner();
      if (minst != null) {
        Collection col=Model.getFacade().getClassifiers(minst);
        if (col.size() > 0) {
          continue;
        }
      }
      if (offs == null) {
        offs=new ListSet();
        offs.add(sd);
      }
      offs.add(fn);
    }
  }
  return offs;
}
